Package Details: libvirt-git 7.0.0.r36.gb5f15b9db1-1

Git Clone URL: https://aur.archlinux.org/libvirt-git.git (read-only, click to copy)
Package Base: libvirt-git
Description: API for controlling virtualization engines (openvz,kvm,qemu,virtualbox,xen,etc)
Upstream URL: http://libvirt.org/
Keywords: git library management virtualization
Licenses: GPL3, LGPL
Conflicts: libvirt
Provides: libvirt
Submitter: xtfxme
Maintainer: sirspudd
Last Packager: sirspudd
Votes: 10
Popularity: 0.000090
First Submitted: 2009-12-06 07:37
Last Updated: 2021-01-19 02:11

Dependencies (38)

Required by (71)

Sources (4)

Latest Comments

« First ‹ Previous ... 4 5 6 7 8 9 10 Next › Last »

mjevans commented on 2013-02-28 18:58

I was able to get this to build by installing docbook-xml and xhtml-docs ; they should be added as a compile time dependencies.

onny's catalog.xml file should also be included with this package as well as the insertion of it in to the system xml catalog.

onny commented on 2013-02-15 14:26

@l3u: fixed. package should compile now without further intervention.

l3u commented on 2013-02-15 10:19

Building currently fails, complaining of a missing file :

...
make[1]: Leaving directory `/home/xx/tmp/yaourt/yaourt-tmp-xx/aur-libvirt-git/src/libvirt-build'
mv: cannot stat '/home/xx/tmp/yaourt/yaourt-tmp-xx/aur-libvirt-git/pkg/etc/sysctl.d/libvirtd': No such file or directory
==> ERROR: A failure occurred in package().
Aborting...
==> ERROR: Makepkg was unable to build libvirt-git.
==> Restart building libvirt-git ? [y/N]
==> ------------------------------------
==>

onny commented on 2013-02-14 19:11

Compiling may fail because of the package xhtml-docs.
I had to insert this string into /etc/xml/catalog (inside the <catalog>-tag):
<delegatePublic publicIdStartString="-//W3C//DTD XHTML 1.0" catalog="file:///usr/share/doc/xhtml/DTD/catalog.xml"/>


And put this file into /usr/share/doc/xhtml/DTD/:
http://onny.project-insanity.org/files/catalog.xml

onny commented on 2013-02-14 19:11

Compiling may fail because of the package xhtml-docs.
I had to insert this string into /etc/xml/catalog (inside the <catalog>-tag):
<delegatePublic publicIdStartString="-//W3C//DTD XHTML 1.0" catalog="file:///usr/share/doc/xhtml/DTD/catalog.xml"/>


And put this file into /usr/share/doc/xhtml/DTD/:
http://onny.project-insanity.org/files/catalog.xml

stefano.facchini commented on 2012-11-30 08:43

I'm orphaning this, feel free to update it...

timofonic commented on 2012-11-29 23:44

This package is damn outdated...

loper commented on 2012-11-14 09:44

Any way to not get an error while building "--with-xen"?

hunger commented on 2012-07-24 10:46

I had to install python (for python-config) before ./bootstrap would succeed. Maybe you could add that as a build time dependency?

aya commented on 2012-05-16 13:56

It would build if you apply this

diff -urN libnl-1.1.orig/include/netlink/object.h libnl-1.1/include/netlink/object.h
--- libnl-1.1.orig/include/netlink/object.h 2008-01-14 16:48:45.000000000 +0100
+++ libnl-1.1/include/netlink/object.h 2011-05-09 10:36:43.654531069 +0200
@@ -55,7 +55,7 @@
/* Access Functions */
extern int nl_object_get_refcnt(struct nl_object *);
extern struct nl_cache * nl_object_get_cache(struct nl_object *);
-extern inline void * nl_object_priv(struct nl_object *);
+extern void * nl_object_priv(struct nl_object *);

#ifdef __cplusplus
}

However, it 0.9.12 still gives me a segmentation fault as per https://bugs.archlinux.org/task/29891